Mandrake Linux Security Advisory : unzip (MDKSA-2005:197)

Medium Nessus Plugin ID 20125


The remote Mandrake Linux host is missing a security update.


Unzip 5.51 and earlier does not properly warn the user when extracting setuid or setgid files, which may allow local users to gain privileges. (CVE-2005-0602)

Imran Ghory found a race condition in the handling of output files.
While a file was unpacked by unzip, a local attacker with write permissions to the target directory could exploit this to change the permissions of arbitrary files of the unzip user. This affects versions of unzip 5.52 and lower (CVE-2005-2475)

The updated packages have been patched to address these issues.


Update the affected unzip package.

Plugin Details

Severity: Medium

ID: 20125

File Name: mandrake_MDKSA-2005-197.nasl

Version: $Revision: 1.14 $

Type: local

Published: 2005/11/02

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.2

Vector: CVSS2#AV:L/AC:H/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:unzip, cpe:/o:mandrakesoft:mandrake_linux:10.1, cpe:/o:mandriva:linux:2006, x-cpe:/o:mandrakesoft:mandrake_linux:le2005

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2005/10/26

Reference Information

CVE: CVE-2005-0602, CVE-2005-2475

MDKSA: 2005:197